# -*- coding:utf-8 -*-
import os
from setuptools import setup, find_packages


curdir = os.path.abspath(os.path.dirname(__file__))
local_uri = "file://{directory}/extra_eggs/{module}"
dependency_links = [
    local_uri.format(directory=curdir, module=x)
    for x in [
        "cuisine-0.3.2-py2.7.egg#cuisine-0.3.2"
    ]
]


requirements = [
    "fabric",
]


development_requirements = [
    "pep8",
    "pyflakes",
    "coverage",
    "cuisine==0.3.2",
]


tests_require = [
]


entry_points = {
    'console_scripts': [
        'tap=tapestry.main:main',
    ],
}


def main():
    setup(
        name="tapestry",
        version="0.1",

        install_requires=requirements,
        tests_require=tests_require,
        extras_require={
            "testing": tests_require,
            "dev": development_requirements,
        },
        packages=find_packages("src"),
        package_dir={"": "src"},
        entry_points=entry_points,
        dependency_links=dependency_links,

        description="Fabric/cuisine recipe processing tool.",
        long_description="",
        author="imagawa_yakata(oyakata)",
        author_email="imagawa.yakata@gmail.com",
        url="https://bitbucket.org/imagawa_yakata/tapestry",
        keywords="fabric,cuisine,deploy",
        license="GPL",
        classifiers=["Programming Language :: Python"],
    )


if __name__ == "__main__":
    main()
